DO $$
DECLARE
	_path character varying(256) := 'patch-2026_01_25-EventDetails';
	_build integer := 15815;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT "Id" FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN
		ALTER TABLE public."EventDetails"
			ADD "ResponseTimestamp" timestamp without time zone NULL,
			ADD "ResponseSendStatus" int null,
			ADD "ResponseSendStatusTimestamp" timestamp without time zone NULL;

		INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

	EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;